{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Start stub-gui",
            "type": "shell",
            "command": "cd stub-gui; npm run watch",
            "group": "build",
            "problemMatcher": [],
        },
        {
            "label": "Monitor WAR",
            "type": "shell",
            "command": "cd scripts/jboss; ./monitor-war.bat",
            "group": "build",
            "problemMatcher": [],
        },
        {
            "label": "Start JBoss",
            "type": "shell",
            "windows": {
                "command": "cmd.exe",
                "args": ["/c", "cd ${cwd}\\scripts\\jboss && start start-jboss.bat"]
            },
            "group": "build"
        },
        {
            "label": "Maven Build",
            "type": "shell",
            "command": "cd stub-pom; mvn clean install -U -DskipTests",
            "group": "build",
            "problemMatcher": [],
        },
    ]
}